/* =========================
   1. RESET & BASE SETTINGS
   ========================= */
   *, *::before, *::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }
  
  /* =========================
     2. VARIABLES
     ========================= */
:root {
	--base: #555;
	--base-100: hsl(0, 0%, 98%);
	--white-100: #ffffff;
	--base-400: #fdfdfd;
	--base-800: #080f3d;
	--yellow: #ffda4b;
	--yellow-100: #fffbe6;
	--yellow-400: #ffda4b;
	--red-800: #830404;
	--blue: #080f3d;
	--blue-100: #e2f8ff;
	--blue-400: #61dafb;
	--blue-800: #5aaef8;
  --brown-400:#DEB887;
  --tan-400: #ebd8c6;

}

 /* =========================
     3. BASE STYLES
     ========================= */
		 body {
			font-family: "Open Sans", sans-serif;
			font-optical-sizing: auto;
			font-style: normal;
			font-size: 20px;
			padding-bottom: 0;
			text-align: justify;
		}

		a {
			text-decoration: none;
			color: var(--blue);
		}
		
		a:hover {
			text-decoration: underline;
		}
		
		.justifier {
			text-align: justify;
		}
		
 /* =========================
     4. COMMON ELEMENTS
     ========================= */
		 .content table {
			width: 100%;
			margin-top: 20px;
			border-collapse: collapse;
		}
		
		.content table th,
		.content table td {
			padding: 10px;
			border: 1px solid #ccc;
		}
		
		.content table th {
			background-color: #f0f0f0;
			color: #c8bcbc;
		}
		
		.content a {
			display: inline-block;
			padding: 8px 16px;
			margin: 5px;
			border-radius: 10px;
			background-color: #2e1913;
			color: #fff;
			transition: background-color 0.3s ease;
		}
		
		.content a:hover {
			background-color: #e0f07b;
		}
		
		.content input {
			padding: 10px;
			margin: 5px;
			border: 1px solid;
			border-radius: 5px;
		}
		.container {
			width: 100%;
			max-width: 1440px;
			padding-inline: min(5vw, 20px);
			margin-inline: auto;
		}
		
  /* =========================
     5. HEADER & NAVIGATION
     ========================= */
		
header {
	
	padding-top:10px;
/*	position: sticky;
	
	top: 0;*/
	z-index: 1000;
	padding-bottom:10px;
	display:flex;
	justify-content:space-between;
	max-width:1440px;
	margin:auto;
	background-color:#080f3d;
	margin-bottom: 0%;
	border-bottom: 1px solid rgba(0,0,0,0.1);
	&.scrolled {
    padding-top: 10px;
    padding-bottom: 10px;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1); 
  }
	@media (max-width: 768px) {
		header {
			position: static; /* No sticky on mobile */
			top: auto;
			padding: 10px 20px; /* Less padding for mobile */
			box-shadow: none; /* Optional: Remove sticky shadow effect */
		}
	}
	
	
	
	.logo-holder {
		display:flex;
		padding:20px;
		align-items:center;
		font-weight:600;
		color: var(--white-100);
		
		.logo {
			display:flex;
			align-items:center;
			justify-content:center;
			border-radius:10px;
			font-size:32px;
			background-color: var(--white-100);
			color: var(--blue);
			height:64px;
			width:64px;
			margin-right:20px;
			margin-left: 20px;
			border-radius:50%;
		}
		img {
      border-radius:10px;
			margin-top:0px;
			max-width:1700px;
			margin-bottom:0px;
      
		}
		
		.logo-text {
			flex:1;
			font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
			font-size: xx-large;
		}
	}

	nav {
		display:flex;
		align-items:center;
		ul {
			display:flex;
			list-style-type: none;
			gap:5px;
			li {
				display:inline-block;
				a {
					display:inline-block;
					padding:5px 10px;
					border-radius: 1px;
					color:var(--white-100);
					&:hover {
						background-color: var(--base-800);
						border-radius:5px;
						text-decoration:underline;
						
					}
					
				}
			}
		}
		.mobile-toggle {
			display:none;
			color:var(--base-800);
			padding:10px;
			@media (max-width:768px){
				display:inline-block;
				position:absolute;
				top:20px;
				right:20px;
			}
		}
	}

	@media (max-width: 1024px) {
		flex-direction:column;
		align-items:center;
	}

	@media (max-width: 768px) {
		flex-direction:column;
		align-items:center;
		nav {
			margin-top:10px;
			width:100%;
			ul {
				display:none;
				flex-direction:column;
				text-align:center;
				width:100%;
				a {
					width:100%;
				}
				&.active {
					display:flex;
				}
			}
		}
	}


}

		
		/* =========================
			 6. BANNER SECTION
			 ========================= */
			 .banner {
				background: url('./imgs/MifsBanner.png') no-repeat center center;
				background-size: cover; /* Ensures entire image is visible */
				height: 65vh;
				width: 100%;
				max-width: 1440px;
				margin-top: 0px;
				margin-bottom: 0px;
				border-width: 1px;
				border-style: solid;
				border-radius:10px;
				border-top-right-radius: 0px;
				border-top-left-radius: 0px;
				position: relative;
				display: flex;
				align-items: center;
				justify-content: center;
				color: white;

				@media (max-width: 768px) {
					.banner {
						background-size: contain;  /* Show the full image */
						background-repeat: no-repeat;
						background-color: #f8f8f8; /* Light color behind image */

						background-position: center;
						height: auto; /* Allow the height to adjust naturally */
						min-height: 300px; /* Optional: Set a minimum height */
					}
				}
				
			}
			
			
			.banner-content {
				
				max-width: 1440px;
			}
			
			.banner h1 {
				font-size: 2.5rem;
				font-weight: 700;
				margin-bottom: 15px;
			}
			
			.banner p {
				font-size: 1.2rem;
				font-weight: 300;
			}
			
			/* =========================
     7. HERO SECTION
     ========================= */
		 .hero {
			display:flex;
			max-width: 1440px;
			
			@media (max-width:1024px){
				flex-direction:column;
			}
			.hero-blue {
				flex:1;
				background-color: var(--base-100);
				
				border-radius:10px;
				padding:0px;
				display:flex;
				flex-direction:column;
				justify-content:center;
				text-align: justify;
				p {
					margin-bottom:60px;
				}
				span {
					@media (max-width:768px){
						display:none;
					}
				}
				.call-to-action {
					margin-top:20px;
					margin-bottom:10px;
					
					a {
						margin-right:60px;
						margin-bottom:10px;
					}
				}
				.social-links {
					a {
						&:hover {
							text-decoration:none;
						}
					}
				}
			}
			.hero-yellow {
				flex:1;
				background-color: var(--base-100);
				border-radius:10px;
				padding:0px 0px;
				
				display:flex;
				justify-content:center;
				align-items:flex-end;
				img {
					
					
				}
			}
		 }
  
	
section {
	max-width:1440px;
	margin:auto;
	gap:30px;
	margin-top:0px;
	margin-bottom:20px;

	@media (max-width:1024px){
		padding-left:30px;
		padding-right:30px;
	}
}

.button {
	display:inline-block;
	padding:10px 30px;
	background-color: var(--blue);
	color: var(--blue);
	border-radius:10px;
	transition: ease 0.3s all;
	&:hover {
		text-decoration:none;
		background-color: var(--red-800);
	}
	&.white {
		background-color: rgb(150, 3, 3);
		color: var(--base-100);
		&:hover {
			background-color: var(--blue);
			color: var(--base);
		}
	}
	&.black {
		background-color: var(--blue);
		color: white;
		&:hover {
			background-color: var(--red-800);
			color: var(--base-100);
		}
	}
}

h2 {
	font-size:88px;
  
	font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
	line-height:1;
	margin-bottom:10px;
	margin-top: 10px;
	font-weight:900;
	small {
		display:block;
		font-weight:100;
	}
	@media (max-width:1024px){
		font-size:48px;
	}
}




.dropdown-skill summary {
  cursor: pointer;
  list-style: none;
  position: relative;
  padding-left: 30px;
  font-weight: bold;
	padding-top: 20px;
}

.dropdown-skill summary::-webkit-details-marker {
  display: none;
}

.dropdown-skill summary::before {
  content: "➕";
  position: absolute;
  left: 0;
  top: 0;
	padding-top: 20px;
  font-size: 18px;
  line-height: 1.4;
}

.dropdown-skill[open] summary::before {
  content: "➖";
}

/* Smooth transition for dropdown content */
.dropdown-skill .content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease-out, padding 0.3s ease;
  padding: 0 0;
}

.dropdown-skill[open] .content {
  max-height: 500px; 
  padding-top: 20px;
}




h3 {
	font-size:1.5em;
	font-weight:600;
	line-height:1;
	margin-bottom:20px;
	color: var(--base-800);
}


  /* =========================
     8. SKILLS SECTION
     ========================= */
		
		 .skills {
			
			padding: 0rem 0rem;
			.holder-blue {
				background-color: var(--base-100);
				border-radius:10px;
				padding:30px;
				display:flex;
				flex-wrap:wrap; 
				text-align: justify;
				
		
				@media(max-width:1024px){
					flex-direction:column;
				}
				
				.left-column {
					flex:1;
					ul {
						list-style: none;
						gap:10px;
						margin-right:100px;
						margin-bottom:20px;
						padding: 0; 
						li {
							display:inline-block;
							background-color: var(--blue-100);
							padding:10px 20px;
							border-radius:10px;
							margin-bottom:10px;
						}
					}
				}
		
				.right-column {
					flex:1;
					p {
						margin-bottom:20px;
					}
				}
			}
		}
		

.logos {
	background-color: var(--base-100);
	border-radius:10px;
	max-width:1440px;
	padding:30px 0px;
	@media (max-width:1024px){
		border-radius:10px;
	}
	.marquee {
		width:100vw;
		max-width:100%;
		height:128px;
		overflow:hidden;
		position:relative;
		.track {
			position:absolute;
			white-space:nowrap;
			will-change:transform;
			animation: marquee 40s linear infinite;
			display:flex;
			gap:10px;
		}
	}
}

@keyframes marquee {
	0% {
		transform: translateX(0);
	}
	100% {
		transform: translateX(-50%);
	}
}

 /* =========================
     10. WORK EXPERIENCE SECTION
     ========================= */
		
.work-experience {
	.jobs {
		display:flex;
		gap:30px;
		border-bottom: 1px solid rgba(0,0,0,0.1);
		border-top: 1px solid rgba(0,0,0,0.1);
		margin-bottom: 60px;
		padding-bottom: 30px;
		padding-top: 30px;
		@media(max-width:1024px){
			flex-direction:column;
		}
		
					ul {
						list-style: none;
						gap:10px;
						margin-right:100px;
						margin-bottom:20px;
						padding: 0; 
						li {
							display:inline-block;
							background-color: var(--blue-100);
							padding:10px 20px;
							border-radius:10px;
							margin-bottom:10px;
						}
					}
		
		article {
			background-color: var(--white-100);
			padding:0px;
			border-radius:10px;
      font-size: 20px;
			flex:1;
	
			div {
				font-weight:600;
				margin-bottom:5px;
				
				color: var(--base-800);
			}
			p {
				margin-bottom:40px;
				
			}
			figure {
				width:100%;
				padding-top:72.25%;
				padding-left: 0%;
				margin-bottom: 10px;
				overflow:hidden;
				position:relative;
				border-radius:10px;
				img {
					position:absolute;
					width: 100%;
					top:0;
					left:0;
					height: 100%;;
					object-fit:cover;
					transition: ease 3s all;
				}
				figcaption {
					position:absolute;
					bottom:0;
					left:0;
					right:0;
					background-color: rgba(0,0,0,0.5);
					color: var(--base-100);
					text-align:center;
					padding:30px;
					opacity:0;
					visibility:hidden;
					transition: ease 0.3s all;
				}

				&:hover {
					figcaption {
						opacity:1;
						visibility:visible;
					}
					img {
						transform: scale(1.2);
					}
				}

			}
		}
	}
	
}
.work-experience .teamwork {
	margin-top: 5rem;
	background-color: var(--base-100); /* light background, optional */
	padding: 0rem 0rem;
	border-radius: 10px;
}

.work-experience .teamwork .jobs {
	display: flex;
	flex-direction: column;
	gap: 2rem;
}

.work-experience .teamwork article {
	background: #fff;
	border-radius: 10px;
	overflow: hidden;
	box-shadow: 0 4px 12px rgba(0,0,0,0.1);
}

.work-experience .teamwork article figure div {
	width: 100%;
	height: 100%; /* 40% of the viewport height */
	overflow: hidden;
	position: relative;
}

.work-experience .teamwork article img {
	width: 100%;
	height: 50vh;
	object-fit: cover;
	
	transition: transform 2s ease; /* ⬅️ SLOW zoom: 2 seconds */
}

.work-experience .teamwork article figcaption {
	text-align: center;
	font-weight: bold;
	background-color: rgba(0, 0, 0, 0.6);
	color: white;
	padding: 0.5rem;
	font-size: 2rem;
	position: absolute;
	bottom: 0;
	width: 100%;
}
/* 👇 HOVER EFFECT */
.work-experience .teamwork article figure:hover img {
  transform: scale(1.2); /* Zoom in */
}

.work-experience .teamwork article figure:hover figcaption {
  opacity: 1;
  visibility: visible;
}

/* =========================
     9. PROJECTS SECTION
     ========================= */
		 
.projects-section {
	padding-top: 20px;
	background-color: #f4f4f4;
	border-radius: 10px;
	margin-top: 100px;
	
}

.projects-section h2 {
	text-align: center;
	margin-bottom: 30px;
	font-size: 3rem;
	color: #333;
}


.projects-grid {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(280px, 1fr));
	gap: 20px;
	
}

.project-card {
	background: #fff;
	
	border-radius: 10px;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
	overflow: hidden;
	transition: transform 0.2s;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

.project-card:hover {
	transform: translateY(-5px);
}

.project-image {
  

	position:absolute;
					width: 100%;
					top:0;
					left:0;
					height: 50vh;
					object-fit:cover;
					
					transition: all 0.3s ease;
	
}

.project-image img {
  width: 100%;
  height: 50vh;
  object-fit: cover;
  transition: transform 0.5s ease;
}

.project-image:hover img {
  transform: scale(1.1) rotate(1deg);
	filter: brightness(1.2) saturate(1.5) contrast(1.1);
    filter: brightness(1.1) saturate(1.2);
}



/* Hover Zoom */
.bg-white img {
  transition: transform 0.4s ease-in-out;
}

.bg-white:hover img {
  transform: scale(1.05);
}

#modal .bg-white {
  animation: fadeIn 0.3s ease-in-out;
}

@keyframes fadeIn {
  from { transform: scale(0.95); opacity: 0; }
  to { transform: scale(1); opacity: 1; }
}


.project-details {
	padding: 15px;
}

.project-details h3 {
	margin: 0 0 10px;
	font-size: 1.2rem;
	color: #0077cc;
}

.project-details p {
	margin: 0;
	color: #555;
	font-size: 0.95rem;
}

.view-more-btn {
	margin: 15px;
	padding: 10px;
	background-color: #0077cc;
	color: white;
	border: none;
	border-radius: 5px;
	cursor: pointer;
	align-self: flex-start;
}

.view-more-btn:hover {
	background-color: #005fa3;
}




/* BACK TO TOP */

.back-to-top {
	position: fixed;
	bottom: 2rem;
	right: 2rem;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	background-color: #830404;
	border-radius: 0.5rem;
	padding: 0.5rem;
	text-decoration: none;
	transition: 0.2s ease-out;
}

.back-to-top span {
	color: #fff;
	font-size: 3rem;
	transition: 0.2s ease-out;
}

.back-to-top:hover {
	background-color: #080f3d;
}
.back-to-top:hover span {
	transform: translateY(-4px);
}

justifier{
	text-align: justify;
}








.chatbot {
	.chatbot-blue {
		background-color: var(--base-100);
		border-radius:10px;
		padding:30px;
		gap:30px;
		display:flex;
		@media (max-width:1024px){
			flex-direction:column;
		}
		p {
			margin-bottom:30px;
		}
		.chat-info {
			flex:3;
			padding-right:30px;
		}
		.chat-box {
			flex:4;
			background:white;
			border-radius:10px;
			padding:30px;
			display:flex;
			flex-direction:column;
			.scroll-area {
				max-height:300px;
				height:300px;
				overflow-y:scroll;
				ul {
					display:flex;
					flex-direction:column;
					justify-content:flex-end;
					gap:15px;
					li {
						display:flex;
						align-items:center;
						gap:15px;

						&:nth-child(even){
							text-align:right;
							justify-content:flex-end;
							flex-direction:row-reverse;
							span {
								background-color: var(--yellow);
							}
						}

						span {
							background-color: var(--blue-400);
							width:64px;
							height:64px;
							border-radius:50%;
							display:inline-flex;
							align-items:center;
							justify-content:center;
							@media(max-width:768px){
								width:48px;
								height:48px;
							}
						}
						div {
							flex:1;
						}
					}
				}
			}

			.chat-message {
				display:flex;
				margin-top:15px;
				gap:15px;
				input {
					border-radius:10px;
					flex:1;
					padding:15px;
					border:1px solid transparent;
					background-color: var(--base-100);
					&:hover {
						outline:none;
						background-color:white;
						border:1px solid var(--base-100);
					}
					&:focus {
						outline:none;
						background-color:white;
						border:1px solid var(--base-100);
					}
				}
				button {
					border:none;
					cursor:pointer;
				}
			}
		}
	}
}
.footer {
  background-color: #080f3d;
  color: #f0f0f0;
  padding: 1rem 3rem 3rem;
	
  font-size: 0.9rem;

  .footer-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 16rem; 
    
    padding: 0 3rem;
    margin: 0 auto;

    > div {
      flex: 1 1 250px;
      margin: 1rem 0; 
      h3 {
        font-size: 1.2rem;
        margin-bottom: 0.8rem;
        color: #ffffff;
      }

      ul {
        list-style: none;
        padding: 0;

        li {
          margin-bottom: 0.5rem;

          a {
            color: #ccc;
            text-decoration: none;

            &:hover {
              color: #fff;
              text-decoration: underline;
            }
          }
        }
      }

      p {
        line-height: 1.6;
        color: #ccc;
      }
    }
  }

  .footer-bottom {
    text-align: center;
    padding-top: 2rem;
    border-top: 1px solid #fff;
    font-size: 0.8rem;
    color: #aaa;
  }
}

@media (max-width: 480px) {
  body {
    font-size: 16px; /* Smaller font for mobile */
    padding: 10px;
  }

  header {
    flex-direction: column;
    align-items: center;
		@media (max-width: 768px) {
			header {
				position: static; /* or you can use relative if needed */
			}
		}
		
  }

  .logo-holder .logo {
    margin: 10px auto;
    height: 50px;
    width: 50px;
    font-size: 24px;
  }

  nav ul {
    flex-direction: column;
    gap: 10px;
    padding: 0;
    width: 100%;
  }

  .hero {
    flex-direction: column;
    text-align: center;
  }

  .hero .hero-blue, .hero .hero-yellow {
    padding: 20px;
  }

  .skills .holder-blue {
    flex-direction: column;
  }

  .skills .left-column ul li {
    margin-right: 5px;
    margin-bottom: 5px;
  }

  .projects-grid {
    grid-template-columns: 1fr;
  }

  .banner {
    height: 40vh; /* smaller banner for mobile */
    background-position: center center;
  }

  h2 {
    font-size: 36px;
  }

  .chatbot .chatbot-blue {
    flex-direction: column;
  }

  .work-experience .jobs {
    flex-direction: column;
  }

  .back-to-top {
    bottom: 1rem;
    right: 1rem;
  }
}
